# Element Summary

Element | Description | Class
--- | --- | ---
component | ServiceMix Scripting | org.apache.servicemix.scripting.ScriptingComponent
endpoint |  | org.apache.servicemix.scripting.ScriptingEndpoint

# Element Detail

## Element: component

Element | Type | Description
--- | --- | ---
endpoints | (endpoint)* |
executorFactory | <spring:bean/> | The executor factory to use to create the executor. If none is provided, one will be retrieved from the JBI container when the component is deployed into ServiceMix 3.x, or a default implementation will be used.

## Element: endpoint

Attribute | Type | Description
--- | --- | ---
copyAttachments | xs:boolean | Copy the attachments into the 'out' message. Defaults to `true`.
copyProperties | xs:boolean | Copy the properties into the 'out' message. Defaults to `true`.
disableOutput | xs:boolean | Set this flag to true to `true` to avoid sending back a response message. Defaults to `false`
endpoint | xs:string | Get the endpoint implementation.
interfaceName | xs:QName | Get the qualified name of the endpoint interface.
language | xs:string | The scripting language to be used. Defaults to `autodetect` to determine the language by the script file extension.
logResourceBundle | xs:string | The resource bundle to use when logging internationalized messages.
service | xs:QName | Get the service qualified name of the endpoint.
targetEndpoint | xs:string | Target endpoint for the output exchange that is created by the script.
targetInterface | xs:QName | Target interface for the output exchange that is created by the script.
targetOperation | xs:QName | Target operation for the output exchange that is created by the script.
targetService | xs:QName | Target service for the output exchange that is created by the script.
targetUri | xs:string | URI for configuring target service/endpoint/interface for the exchange that is created by the script.

Element | Type | Description
--- | --- | ---
bindings | <spring:bean/> | A Map with additional variables that are made available during script execution.
marshaler | <spring:bean/> | Custom marshaler implementation to handle startup/shutdown, loading the script code and registering additional user beans.
script | <spring:bean/> | Spring Resource referring to the script location.
scriptLogger | <spring:bean/> | returns the script logger